summaryrefslogtreecommitdiffstats
path: root/abs/core/LinHES-config/soundconfig.sh
diff options
context:
space:
mode:
Diffstat (limited to 'abs/core/LinHES-config/soundconfig.sh')
-rwxr-xr-xabs/core/LinHES-config/soundconfig.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/abs/core/LinHES-config/soundconfig.sh b/abs/core/LinHES-config/soundconfig.sh
index 6e7bf70..810d9b2 100755
--- a/abs/core/LinHES-config/soundconfig.sh
+++ b/abs/core/LinHES-config/soundconfig.sh
@@ -1,11 +1,10 @@
#!/bin/bash
+MYTH_RUN_STATUS="1"
. /etc/systemconfig
. /etc/profile
echo $@ >/tmp/audio.call
BASE=""
-MYTH_RUN_STATUS="1"
-. /etc/profile
TESTFILE="/usr/share/sounds/pinkNoise_3s.wav"
OSSinstalled="false"
@@ -68,6 +67,11 @@ function installOSS {
pacman --noconfirm -S --force oss
fi
soundon
+ if [ ! $? = 0 ]
+ then
+ pacman --noconfirm -S --force gcc make binutils
+ soundon
+ fi
add_service.sh oss
echo "blacklist soundcore" > $BLACKLIST
echo "install soundcore /bin/false" >> $BLACKLIST